Package oracle.sql

## Interface ORADataFactory

All Superinterfaces:
  `oracle.jdbc.internal.ObjectDataFactory`

    public interface ORADataFactory
    extends oracle.jdbc.internal.ObjectDataFactory

ORAData factory interface.

This interface complements ORAData. It is passed to getORAData() to create customized ORAData objects. The following example shows the typical use of this interface:

      EmpFactory factory = new EmpFactory();
      OracleResultSet rs = ... ;
      Emp m = (Emp) rs.getORAData(column, factory);
      ...

This interface is the replacement of the old CustomDatumFactory interface that has been deprecated in the Oracle 9i release.

Since:
  9iBeta
See Also:
  `oracle.jdbc.ORAData`, `oracle.jdbc.PreparedStatement`, `SQLData`

### Method Summary

All Methods Instance Methods Abstract Methods
`ORAData` `create​(Datum d, int sqlType)` Create an ORAData from a oracle.sql.Datum

### Method Detail

#### create

    ORAData create​(Datum d,
                   int sqlType)
            throws SQLException

Create an ORAData from a oracle.sql.Datum

This method creates the customized ORAData from a Datum. Sometimes, it is convenient to have the same class implement both ORAData and ORADataFactory.

Parameters:
  `d` - The Datum to be used to initialize the Object being created.
  `sqlType` - The SQL type of the specified Datum.
Returns:
  an Object that embeds information from d.
Throws:
  `SQLException` - if an error occurred.